Package Details: sk1 1:2.0rc5-1

Git Clone URL: https://aur.archlinux.org/sk1.git (read-only, click to copy)
Package Base: sk1
Description: Open source vector graphics editor for prepress
Upstream URL: https://sk1project.net/
Licenses: GPL3
Submitter: City-busz
Maintainer: FabioLolix
Last Packager: FabioLolix
Votes: 2
Popularity: 0.000036
First Submitted: 2020-06-10 15:21 (UTC)
Last Updated: 2021-12-19 21:19 (UTC)

Latest Comments

filipeltsilva commented on 2022-05-15 14:31 (UTC) (edited on 2022-05-15 14:37 (UTC) by filipeltsilva)

python2-cairo became an AUR orphan package today and it's not in the official packages anymore. After realizing it, I updated my system and I uninstalled the python2-* packages I mentioned before, cleaned the cache, installed the pkgconf package, necessary to build python2-cairo, and installed sk1 one more time and this time everything worked as I expected. Thank you, @FabioLolix, for the help. I had an intense experience with manual package building that I never needed before as a Linux user.

filipeltsilva commented on 2022-05-14 21:35 (UTC)

@FabioLolix, it didn't work here. I built using extra-x86_64-build and python2-pillow, python2-reportlab and python2-pycups weren't found, but I had them installed. I uninstalled them, cleaned the cache (yay -Sc) and reinstalled with --asdeps flag. Then, I cloned sk1 by Git Clone URL, built with extra-x86_64 build and it still didn't find the dependencies that I said above.

FabioLolix commented on 2022-05-12 20:15 (UTC)

@filipeltsilva I've builded all the building using devtools (extra-x86_64-build) worked fine, builded sk1 with makepkg worked fine

$ LANG=C locate pycairo.h
/usr/include/pycairo/pycairo.h
/usr/lib/python2.7/site-packages/cairo/include/pycairo.h
$ LANG=C pacman -Qo /usr/lib/python2.7/site-packages/cairo/include/pycairo.h
/usr/lib/python2.7/site-packages/cairo/include/pycairo.h is owned by python2-cairo 1.18.2-4

filipeltsilva commented on 2022-05-10 20:50 (UTC)

I'm having this pycairo.h error when I'm trying to install the program. I have all the dependencies installed.

FabioLolix commented on 2022-01-26 20:50 (UTC)

I have adopted and revisioned python2-reportlab

simona commented on 2022-01-23 16:10 (UTC) (edited on 2022-01-23 16:10 (UTC) by simona)

now ok... thx

FabioLolix commented on 2022-01-23 15:49 (UTC)

@onekk use python2-reportlab and python2-pillow pkgbuilds uploaded here https://github.com/FabioLolix/PKGBUILD-AUR_fix/tree/master/p

onekk commented on 2022-01-23 14:54 (UTC) (edited on 2022-01-23 14:55 (UTC) by onekk)

It don't compile signaling a lot of missing packages:

-> Could not find all required packages: python2-importlib-metadata (Wanted by: sk1-git -> python2-pillow -> python2-pytest) python2-pip (Wanted by: sk1-git -> python2-reportlab) python2-pluggy (Wanted by: sk1-git -> python2-pillow -> python2-pytest) python2-more-itertools (Wanted by: sk1-git -> python2-pillow -> python2-pytest) python2-atomicwrites (Wanted by: sk1-git -> python2-pillow -> python2-pytest) python2-pathlib2 (Wanted by: sk1-git -> python2-pillow -> python2-pytest) python2-py (Wanted by: sk1-git -> python2-pillow -> python2-pytest) python2-wcwidth (Wanted by: sk1-git -> python2-pillow -> python2-pytest) python2-funcsigs (Wanted by: sk1-git -> python2-pillow -> python2-pytest) python2-setuptools-scm (Wanted by: sk1-git -> python2-pillow -> python2-pytest)

Tio commented on 2021-10-18 23:02 (UTC)

Error:

==> Retrieving sources...
  -> Downloading sk1-2.0rc4.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404
==> ERROR: Failure while downloading https://downloads.sk1project.net/sk1/2.0rc4/sk1-2.0rc4.tar.gz
    Aborting...
Failed to build sk1

FabioLolix commented on 2021-05-09 10:03 (UTC)

At the moment I can't 'git push' python2-pillow to the AUR, the pkgbuild can be found here https://github.com/FabioLolix/PKGBUILD-AUR_fix/tree/master/p/python2-pillow

tessaracht commented on 2021-04-12 07:44 (UTC)

seems to still depend on python2 libs which are in short supply now that python2 is EOL.

simona commented on 2021-03-31 07:23 (UTC)

:: l'installazione di python2-pillow (6.2.1-9) interrompe la dipendenza 'python2-pillow6'